
#pragma used+
sfrb ADCL=4;
sfrb ADCH=5;
sfrw ADCW=4;      
sfrb ADCSR=6;
sfrb ADMUX=7;
sfrb ACSR=8;
sfrb USICR=0xd;
sfrb USISR=0xe;
sfrb USIDR=0xf;
sfrb PINB=0x16;
sfrb DDRB=0x17;
sfrb PORTB=0x18;
sfrb PINA=0x19;
sfrb DDRA=0x1a;
sfrb PORTA=0x1b;
sfrb EECR=0x1c;
sfrb EEDR=0x1d;
sfrb EEAR=0x1e;
sfrb WDTCR=0x21;
sfrb PLLCSR=0x29;
sfrb OCR1C=0x2b;
sfrb OCR1B=0x2c;
sfrb OCR1A=0x2d;
sfrb TCNT1=0x2e;
sfrb TCCR1B=0x2f;
sfrb TCCR1A=0x30;
sfrb OSCCAL=0x31;
sfrb TCNT0=0x32;
sfrb TCCR0=0x33;
sfrb MCUSR=0x34;
sfrb MCUCR=0x35;
sfrb TIFR=0x38;
sfrb TIMSK=0x39;
sfrb GIFR=0x3a;
sfrb GIMSK=0x3b;
sfrb SP=0x3d;
sfrb SREG=0x3f;
#pragma used-

#asm
	#ifndef __SLEEP_DEFINED__
	#define __SLEEP_DEFINED__
	.EQU __se_bit=0x20
	.EQU __sm_adc_noise_red=0x08
	.EQU __sm_mask=0x18
	.EQU __sm_powerdown=0x10
	.EQU __sm_standby=0x18
	.SET power_ctrl_reg=mcucr
	#endif
#endasm

#pragma used+

void delay_us(unsigned int n);
void delay_ms(unsigned int n);

#pragma used-

#pragma warn- 
#pragma warn+

enum Etat_Commande_Moteur {DEPART, CDE_CENTRE1, CDE_CENTRE2, CDE_CENTRE3, 
CDE_DROITE, CDE_DROITE_PLUS, HORS_LIGNE_DROITE, CDE_GAUCHE, CDE_GAUCHE_PLUS, HORS_LIGNE_GAUCHE};

enum Etat_Position_Robot {HORS_LIGNE, GAUCHE_PLUS , CENTRE_1, GAUCHE, 
DROITE_PLUS, CENTRE_2, DROITE, CENTRE_3}; 

void Arret_Moteurs();

void Active_Timer();

unsigned char AcquerirPositionRobot(void);

unsigned char AfficherPositionRobot(unsigned char Position_Robot);

void ReglerCdeMoteursRobot (unsigned char Position_Robot);

#pragma library MrLineTiny.lib

void main(void)
{

unsigned char Visu_Position;	           
unsigned char Position_Robot;

PORTA=0x3F;
DDRA=0x3F;

PORTB=0x0A;
DDRB=0x0A;

PLLCSR=0x00;
TCCR1A=0xA3;
TCCR1B=0x03;
TCNT1=0x00;
OCR1A=0x00;
OCR1B=0x00;
OCR1C=0xFF;

ACSR=0x00;

PORTA = 0x3F;   

while (1)
{

Position_Robot = AcquerirPositionRobot(); 

Visu_Position = AfficherPositionRobot(Position_Robot);
PORTA = Visu_Position;  

ReglerCdeMoteursRobot(Position_Robot);  

delay_us(704             );  
}

} 

